@import url("https://fonts.googleapis.com/css2?family=Noto+Sans&family=Noto+Sans+Display:wght@300;700&family=Noto+Sans+Mono&display=swap");
@-webkit-keyframes delay-appearance {
  from {
    visibility: hidden;
    opacity: 0;
  }
  to {
    visibility: visible;
    opacity: 1;
  }
}
@keyframes delay-appearance {
  from {
    visibility: hidden;
    opacity: 0;
  }
  to {
    visibility: visible;
    opacity: 1;
  }
}
@-webkit-keyframes float-in {
  from {
    transform: translateY(5rem);
    opacity: 0;
  }
  to {
    transform: translateY(0);
    opacity: 1;
  }
}
@keyframes float-in {
  from {
    transform: translateY(5rem);
    opacity: 0;
  }
  to {
    transform: translateY(0);
    opacity: 1;
  }
}
body {
  position: relative;
  padding: 0;
  margin: 0;
  min-height: 100vh;
  background-color: rgb(17, 17, 17);
  color: white;
  font-family: "Noto Sans Display", sans-serif;
}

*::-webkit-scrollbar {
  background-color: #222;
  border-radius: 8px;
  width: 12px;
  height: 12px;
}
*::-webkit-scrollbar-thumb {
  background-color: #444;
  border-radius: 8px;
}

p,
h1,
h2 {
  margin: 0;
  padding: 0;
}

.title {
  height: 100vh;
  display: grid;
  background-image: url("../assets/card-tricks/websitebg2.jpg");
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
}
.title .menu-icon {
  position: absolute;
  width: 40px;
  margin: 1rem;
  opacity: 0;
  cursor: pointer;
  visibility: hidden;
  -webkit-animation: 250ms delay-appearance 2s ease-out forwards;
          animation: 250ms delay-appearance 2s ease-out forwards;
}
.title .menu-icon .menu-bar {
  display: block;
  padding-top: 8px;
  width: 40px;
  height: 2px;
  border-top: 4px solid rgba(255, 255, 255, 0.8);
}
.title .title-text {
  grid-area: 1/1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}
.title .title-text h1 {
  font-size: 3rem;
}
.title .title-text * {
  font-family: "Noto Sans", sans-serif;
  margin: 0;
  opacity: 0;
  -webkit-animation: 1s float-in calc(var(--delay) * 1s) ease-out forwards;
          animation: 1s float-in calc(var(--delay) * 1s) ease-out forwards;
}
.title .title-text * + * {
  margin-top: 1rem;
}
.title .title-classes {
  visibility: hidden;
  -webkit-animation: 250ms delay-appearance 2250ms ease-out forwards;
          animation: 250ms delay-appearance 2250ms ease-out forwards;
  grid-area: 1/1;
  display: flex;
  justify-content: center;
  align-items: flex-end;
  margin-inline: 1rem;
}
.title .title-classes ul {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  position: relative;
  padding: 0;
  gap: 0.5rem;
  list-style-type: none;
}
.title .title-classes ul li {
  height: calc(60px + 0.8rem);
  transition: all 200ms;
}
.title .title-classes ul li img {
  width: 60px;
  margin: 0.4rem;
}
.title .title-classes ul li:hover, .title .title-classes ul li:active {
  background-color: #333;
}
.title .title-classes ul::after {
  position: absolute;
  content: "";
  left: 0;
  right: 0;
  bottom: -0.5rem;
  height: 0.25rem;
  background-color: #444;
}

.info-boxes {
  padding: 8rem 0;
}
.info-boxes .content {
  margin-inline: auto;
  max-width: 60rem;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(30ch, 1fr));
}
.info-boxes .text-box {
  cursor: pointer;
  min-height: 12rem;
  outline: 1px solid #535353;
  padding: 1rem;
  transition: all 200ms;
}
.info-boxes .text-box * + * {
  margin-top: 1rem;
}
.info-boxes .text-box h2 {
  position: relative;
  text-transform: uppercase;
  font-weight: bold;
  color: #22bbff;
  width: -moz-fit-content;
  width: -webkit-fit-content;
  width: fit-content;
}
.info-boxes .text-box h2::after {
  position: absolute;
  content: "";
  top: 1.5em;
  left: 0;
  width: 100%;
  height: 8px;
  background-color: #22bbff;
}
.info-boxes .text-box:hover, .info-boxes .text-box:active {
  background-color: #22bbff;
}
.info-boxes .text-box:hover h2, .info-boxes .text-box:active h2 {
  color: black;
}
.info-boxes .text-box:hover h2::after, .info-boxes .text-box:active h2::after {
  background-color: black;
}
.info-boxes .center-image {
  display: flex;
  place-content: center;
}

.card-columns {
  display: flex;
  text-align: center;
  gap: 1rem;
  padding-bottom: 4rem;
}
.card-columns .side-card {
  outline: 1px solid #535353;
  box-shadow: 0 0 1rem black;
  padding: 1rem;
  margin: 1rem;
  flex-grow: 1;
  flex-basis: 30%;
}
.card-columns .side-card * + * {
  margin-top: 1rem;
}
.card-columns .card-list {
  flex-grow: 1;
  flex-basis: 70%;
}

.card-list {
  display: flex;
  padding: 3rem;
  padding-top: 4.5rem;
  overflow-x: scroll;
}
.card-list > .card + .card {
  margin-left: -12rem;
}

.card {
  position: relative;
  display: flex;
  flex-direction: column;
  height: 350px;
  width: 250px;
  min-width: 250px;
  padding: 1.5rem;
  background-color: rgb(24, 24, 24);
  background-image: url("../assets/card-tricks/ak-corner-logo.png");
  background-position: bottom left;
  background-repeat: no-repeat;
  background-size: 60%;
  outline: 1px solid #535353;
  box-shadow: -1rem 0 1rem rgba(0, 0, 0, 0.5);
  font-family: "Noto Sans Mono", monospace;
  transition-duration: 200ms;
}
.card p {
  position: relative;
  text-align: left;
  margin: 0 0 1rem;
  width: -moz-fit-content;
  width: -webkit-fit-content;
  width: fit-content;
  transition: color 500ms;
}
.card p::before {
  content: "";
  position: absolute;
  top: 0;
  right: -2rem;
  width: 100%;
  height: 100%;
  background-image: url(../assets/card-tricks/sanity-icon.png);
  background-position: center right;
  background-size: 1.5rem 1.5rem;
  background-repeat: no-repeat;
}
.card p::after {
  content: "";
  position: absolute;
  top: 0;
  right: -2%;
  width: 104%;
  height: 100%;
  background-color: #22bbff;
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 250ms;
  z-index: -1;
}
.card h2 {
  margin-bottom: 0;
  overflow: hidden;
  max-height: 14rem;
  line-height: 1.25;
}
.card:hover, .card:active {
  transform: translateY(-1.5em);
}
.card:hover p, .card:active p {
  color: black;
}
.card:hover p::after, .card:active p::after {
  transform: scaleX(1);
}
.card:hover ~ .card, .card:active ~ .card {
  transform: translateX(12rem);
}
.card .card-author {
  position: relative;
  display: grid;
  grid-template-columns: 75px 1fr;
  align-items: center;
  margin: auto 0 1rem;
}
.card .card-author img {
  display: block;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  margin: 16px 10px;
}
.card .card-author svg {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 60px;
  height: 48px;
  fill: none;
  stroke: #22bbff;
  stroke-width: 8;
}
.card .card-author .author-prefix {
  font-weight: bold;
  color: #888;
}
.card .card-author .author-name {
  width: -moz-fit-content;
  width: -webkit-fit-content;
  width: fit-content;
  color: inherit;
  text-decoration: none;
}

section {
  background-color: #17181a;
  min-height: 50vh;
}

footer {
  min-height: 3rem;
  background-color: #111;
  padding: 0.5rem;
}
footer ul {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  list-style: none;
  padding-left: 0;
  line-height: 1.5;
}
footer li + li {
  margin-left: 1rem;
}

@media (max-width: 600px) {
  .card-columns {
    flex-wrap: wrap;
  }
}